#ifndef CPUMONITOR_MCC_H
#define CPUMONITOR_MCC_H

/*
 *  Cpumonitor.mcc
 *
 *  Copyright  2004-2007 Christian Rosentreter <tokai@binaryriot.org>
 *  All rights reserved.
 *
 *  $Id: Cpumonitor_mcc.h,v 1.3.2.1 2008/09/09 16:28:02 cisc Exp $
 */

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif

#pragma pack(2)


#define MUIC_Cpumonitor "Cpumonitor.mcc"
#define CpumonitorObject MUI_NewObject(MUIC_Cpumonitor


/*   attributes
 */
#define MUIA_Cpumonitor_FilterTask      0xFED1000C /* [ISG] STRPTR  v20.1 */
#define MUIA_Cpumonitor_LastValue       0xFED1000D /* [..G] FLOAT   v20.2 */
#define MUIA_Cpumonitor_TaskEncounter   0xFED1000E /* [..G] BOOL    v20.1 */
#define MUIA_Cpumonitor_DnetcMode       0xFED1000F /* [ISG] BOOL    v20.1 */


/*   methods
 */
#define MUIM_Cpumonitor_Reset           0xFEF1000A    /* MUIM_Graph_Reset */
#define MUIM_Cpumonitor_Clone           0xFED10012    /* MUIM_Graph_Clone */


/*   special values
 */
#define MUIV_Cpumonitor_FilterTask_Dnetc 1


/*   messages
 */
struct MUIP_Cpumonitor_Clone
{
	ULONG methodid;
	APTR  target;
};


#pragma pack()

#endif /* CPUMONITOR_MCC_H */
