#ifndef GRAPH_MCC_H
#define GRAPH_MCC_H

/*
 *  Graph.mcc
 *
 *  Copyright  2007 Christian Rosentreter <tokai@binaryriot.org>
 *  All rights reserved.
 *
 *  $Id: Graph_mcc.h,v 1.4.2.1 2008/09/09 16:28:02 cisc Exp $
 */

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif

#pragma pack(2)


#define MUIC_Graph  "Graph.mcc"
#define GraphObject MUI_NewObject(MUIC_Graph


/*   attributes
 */
#define MUIA_Graph_MaxEntries              0xFED10005 /* [I.G]  ULONG  v20.1 */
#define MUIA_Graph_Max                     0xFED10006 /* [ISG]  ULONG  v20.1 */
#define MUIA_Graph_DrawBackCurve           0xFED10007 /* [ISG]  BOOL   v20.1 */
#define MUIA_Graph_SetMax                  0xFED10008 /* [I..]  BOOL   v20.1 */


/*   methods
 */
#define MUIM_Graph_AddEntry                0xFED10009 /* v20.1 */
#define MUIM_Graph_Reset                   0xFEF1000A /* v20.1 */
#define MUIM_Graph_Clone                   0xFED10012 /* v20.4 */


/*   special values
 */


/*   messages
 */
struct MUIP_Graph_AddEntry
{ 
	ULONG  methodid;
	ULONG  value;
	ULONG  value_back;
};

struct MUIP_Graph_Reset
{
	ULONG methodid;
};

struct MUIP_Graph_Clone
{
	ULONG methodid;
	APTR  target;
};



#pragma pack()

#endif /* GRAPH_MCC_H */
